SlowQueryReport.QueryStats (Apache Tomcat 9.0.71 API Documentation)

Package org.apache.tomcat.jdbc.pool.interceptor

## Class SlowQueryReport.QueryStats

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.interceptor.SlowQueryReport.QueryStats

- Enclosing class:
    SlowQueryReport

      public static class SlowQueryReport.QueryStats
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryStats​(java.lang.String query)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(long invocationTime, long now)` |
    `boolean` | `equals​(java.lang.Object other)` |
    `void` | `failure​(long invocationTime, long now)` |
    `javax.management.openmbean.CompositeDataSupport` | `getCompositeData​(javax.management.openmbean.CompositeType type)` |
    `static java.lang.String[]` | `getFieldDescriptions()` |
    `static java.lang.String[]` | `getFieldNames()` |
    `static javax.management.openmbean.OpenType<?>[]` | `getFieldTypes()` |
    `long` | `getMaxInvocationDate()` |
    `long` | `getMaxInvocationTime()` |
    `long` | `getMinInvocationDate()` |
    `long` | `getMinInvocationTime()` |
    `int` | `getNrOfInvocations()` |
    `java.lang.String` | `getQuery()` |
    `long` | `getTotalInvocationTime()` |
    `int` | `hashCode()` |
    `boolean` | `isOlderThan​(SlowQueryReport.QueryStats other)` |
    `void` | `prepare​(long invocationTime)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryStats

          public QueryStats​(java.lang.String query)

  - ### Method Detail

    - #### getFieldNames

          public static java.lang.String[] getFieldNames()

    - #### getFieldDescriptions

          public static java.lang.String[] getFieldDescriptions()

    - #### getFieldTypes

          public static javax.management.openmbean.OpenType<?>[] getFieldTypes()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getCompositeData

          public javax.management.openmbean.CompositeDataSupport getCompositeData​(javax.management.openmbean.CompositeType type)
                                                                           throws javax.management.openmbean.OpenDataException

      Throws:
        `javax.management.openmbean.OpenDataException`

    - #### prepare

          public void prepare​(long invocationTime)

    - #### add

          public void add​(long invocationTime,
                          long now)

    - #### failure

          public void failure​(long invocationTime,
                              long now)

    - #### getQuery

          public java.lang.String getQuery()

    - #### getNrOfInvocations

          public int getNrOfInvocations()

    - #### getMaxInvocationTime

          public long getMaxInvocationTime()

    - #### getMaxInvocationDate

          public long getMaxInvocationDate()

    - #### getMinInvocationTime

          public long getMinInvocationTime()

    - #### getMinInvocationDate

          public long getMinInvocationDate()

    - #### getTotalInvocationTime

          public long getTotalInvocationTime()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### isOlderThan

          public boolean isOlderThan​(SlowQueryReport.QueryStats other)